#macro GUIWIDTH global.gui_width
#macro GUIHEIGHT global.gui_height
#macro camera view_camera[0]
global.width = 768
global.height = 768

window_set_size(global.width,global.height)
surface_resize(application_surface,global.width,global.height)
display_set_gui_size(global.width,global.height);

global.gui_width=display_get_gui_width()
global.gui_height=display_get_gui_height()

global.key_jump = ord("W")
global.key_left = ord("A")
global.key_right = ord("D")

global.task_map = ds_list_create()
function add_task(task_name,level,color,reverse){
	ds_list_add(global.task_map,{
	level_room : level,
	level_color : color,
	level_task_name : task_name,
	level_task_description : "",
	can_be_reversed : reverse
	})
}


add_task("suicide",rm_suicide,c_green,false)//Just die
add_task("deliver",rm_deliver,c_yellow,true)//Deliver gift to the girl
add_task("gather",rm_gather,c_orange,true)//Gather the baloons
add_task("ride",rm_ride,c_navy,true)//Ride the cloud
add_task("press",rm_press,c_olive,true)//Press buttons THIS of THAT
add_task("romance",rm_romance,c_gray,true)//Touch the girl
add_task("survive",rm_survive,c_fuchsia,true)//Find the save place between spikes
add_task("hide",rm_hide,c_aqua,true)//Hide in the box
add_task("collect",rm_collect,c_teal,false)//Collent coins
add_task("avoid",rm_avoid,c_lime,true)//Avoid moveable spike
add_task("hide",rm_hide,c_aqua,true)//Hide in the box

game_set_speed(60,gamespeed_fps)

alarm[0]=1